### Home Classes Methods

### In Files

- lib/chef/solr/solr_installer.rb

### Parent

Object

### Methods

- ::new
- #from_file
- #method_missing
- #to_hash

### Class/Module Index

Quicksearch

- Chef
- Chef::Solr
- Chef::Solr::Application
- Chef::Solr::Application::Solr
- Chef::SolrInstaller
- Chef::SolrInstaller::Config
- Chef::SolrInstaller::Config::CLI
- Chef::SolrInstaller::Config::CompatConfig

No matching classes.

# Chef::SolrInstaller::Config::CompatConfig

### Public Class Methods

new() click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 29
    def initialize
      @config_settings = {}
    end

### Public Instance Methods

from_file(file) click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 33
    def from_file(file)
      file = File.expand_path(file)
      if File.readable?(file)
        instance_eval(IO.read(file), file, 1)
      else
        STDERR.puts "Cannot open config file #{file} default settings will be used"
      end
      self
    end

method_missing(method_name, *args, &block) click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 43
    def method_missing(method_name, *args, &block)
      if args.size == 1
        @config_settings[method_name] = args.first
      elsif args.empty?
        @config_settings[method_name] or super
      else
        super
      end
    end

to_hash() click to toggle source

    # File lib/chef/solr/solr_installer.rb, line 53
    def to_hash
      @config_settings
    end

[Validate]

Generated with the Darkfish Rdoc Generator 2.